---
title: Scikit-Learn
author: Steve Kossouho
---

# Scikit-Learn

Scikit-Learn est une bibliothèque Python qui fournit des outils d'apprentissage, de classification et de prédiction.
La bibliothèque est destineée à des professionnels qui ont besoin de des outils de machine learning.
Elle implémente de nombreux algorithmes mathématiques adaptables à de nombreux besoins de traitements.

![Logo de Scikit-Learn](assets/images/scikit-library-logo.png)

----

## Régressions

### Régressions lineaires

Scikit-Learn fournit des outils pour les régressions lineaires, qui sont la première chose que l'on peut faire avec Python.

```python {.numberLines}
from sklearn.linear_model import LinearRegression

model = LinearRegression()
xs = [[0, 1], [1, 1], [2, 1]]
ys = [0, 1, 2]
coeff: LinearRegression = model.fit(xs, ys)

# L'ordonnée des points est x
print(coeff.coef_)
```
